MIME::Decoder::QuotedPrint(3)

NAME
MIME::Decoder::QuotedPrint - encode/decode a "quoted-printable" stream

SYNOPSIS
A generic decoder object; see MIME::Decoder for usage.

DESCRIPTION
A MIME::Decoder subclass for the "quoted-printable" encoding. The name was chosen to jibe with the pre-existing MIME::QuotedPrint utility package, which this class actually uses to translate each line.

•   The decoder does a line-by-line translation from input to output.

•   The encoder does a line-by-line translation, breaking lines so that they fall under the standard 76-character limit for this encoding.

Note: just like MIME::QuotedPrint, we currently use the native "\n" for line breaks, and not "CRLF". This may need to change in future versions.

SEE ALSO
MIME::Decoder

AUTHOR
Eryq (eryq@zeegee.com), ZeeGee Software Inc (http://www.zeegee.com).

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.